@import "string-helper";

/*
@lg:    ~"screen and (min-width: 960px)";
@md:    ~"screen and (max-width: 959px)";
@sm:    ~"screen and (max-width: 768px)";
@sms:   ~"screen and (max-width: 561px)";
@xs:    ~"screen and (max-width: 480px)";
@iphone6plus: ~"screen and (width: 414px)";
@iphone6: ~"screen and (width: 375px)";
@xss:    ~"screen and (max-width: 361px)";
@xxs:   ~"screen and (max-width: 320px)";
*/

@mixin media-lg {
  @media screen and (min-width: 960px) { @content; }
}

@mixin media-md {
  @media screen and (max-width: 959px) { @content; }
}

@mixin media-sm {
  @media screen and (max-width: 768px) { @content; }
}

@mixin media-sms {
  @media screen and (max-width: 561px) { @content; }
}

@mixin media-xs {
  @media screen and (max-width: 480px) { @content; }
}

@mixin media-iphone6plus {
  @media screen and (width: 414px) { @content; }
}

@mixin media-iphone6 {
  @media screen and (width: 375px) { @content; }
}

@mixin media-xss {
  @media screen and (max-width: 361px) { @content; }
}

@mixin media-xxs {
  @media screen and (max-width: 320px) { @content; }
}

@mixin media-variable($mediaQuery) {
  // Remove parantheses
  $mediaQuery: str-replace($mediaQuery, '(', '');
  $mediaQuery: str-replace($mediaQuery, ')', '');

  @media ($mediaQuery) { @content; }
}
